'use strict';

const path = require("path");
const reportErrors = require("report-errors");
const mkdirp = require("mkdirp");

let errorPath = path.join(__dirname, "../errors");

mkdirp.sync(errorPath);

module.exports = reportErrors(errorPath, {
	doNotCrash: true,
	handler: (error, context) => {
		console.error("Unhandled error", error.stack);

		if (error.rateLimited !== true) {
			process.exit(1);
		}
	}
});
